{ pkgs, ... }: {
  imports = [
    ./hardware-configuration.nix
    ../../client-lite.nix

    ../../features/dns-cache.nix
    ../../features/nas0.nix
    ../../features/xfce.nix
    ../../features/sound
    ../../features/tailscale.nix
    ../../features/telemetry
    ../../features/wifi.nix
  ];

  home-manager.users.noe = import ../../../home-manager/noe/hosts/retrobox.nix;

  networking.hostName = "retrobox";
  system.stateVersion = "25.05";

  internal.nas0.useSMB = true;

  hardware.enableRedistributableFirmware = true;

  boot = {
    # kernelPackages = pkgs.linuxKernel.packages.linux_rpi4;
    initrd.availableKernelModules = [ "xhci_pci" "usbhid" "usb_storage" ];
    loader = {
      grub.enable = false;
      generic-extlinux-compatible.enable = true;
    };
  };
}
